summaryrefslogtreecommitdiffstats
path: root/development/liquibase
diff options
context:
space:
mode:
author Alan Alberghini <414N@slacky.it>2017-04-17 15:47:53 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-04-22 08:10:43 +0700
commitef503041ed0b141bf7638a9b9b7d26944b67c276 (patch)
treea5445b583b3fa4fda22e3b55d4f0e97676183d39 /development/liquibase
parent143ba4d26ebbc182f20a17fc3b502bfa01eaaddb (diff)
downloadslackbuilds-ef503041ed0b141bf7638a9b9b7d26944b67c276.tar.gz
slackbuilds-ef503041ed0b141bf7638a9b9b7d26944b67c276.tar.xz
development/liquibase: Added (source control for your database).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'development/liquibase')
-rw-r--r--development/liquibase/README9
-rw-r--r--development/liquibase/README.SLACKWARE8
-rw-r--r--development/liquibase/liquibase.SlackBuild79
-rw-r--r--development/liquibase/liquibase.info10
-rw-r--r--development/liquibase/profile.d/liquibase.csh2
-rw-r--r--development/liquibase/profile.d/liquibase.sh3
-rw-r--r--development/liquibase/slack-desc19
7 files changed, 130 insertions, 0 deletions
diff --git a/development/liquibase/README b/development/liquibase/README
new file mode 100644
index 0000000000..17e3ccaf38
--- /dev/null
+++ b/development/liquibase/README
@@ -0,0 +1,9 @@
+Liquibase - source control for your database
+
+Liquibase is an open source database-independent library for tracking, managing
+and applying database schema changes.
+
+See README.SLACKWARE for information on how to make JDBC drivers available to
+liquibase.
+
+This requires a Java runtime (jdk or JRE) to run.
diff --git a/development/liquibase/README.SLACKWARE b/development/liquibase/README.SLACKWARE
new file mode 100644
index 0000000000..223e09558a
--- /dev/null
+++ b/development/liquibase/README.SLACKWARE
@@ -0,0 +1,8 @@
+Liquibase requires JDBC drivers to connect to the different DBMSs it can manage
+and they do not come with the liquibase binary distribution.
+
+In order to add them to its classpath, you should put the JDBC driver jars (or
+symlinks to them) in /opt/liquibase/lib/.
+
+Please see http://www.liquibase.org/databases.html for a list of supported
+DBMSs.
diff --git a/development/liquibase/liquibase.SlackBuild b/development/liquibase/liquibase.SlackBuild
new file mode 100644
index 0000000000..7af0834211
--- /dev/null
+++ b/development/liquibase/liquibase.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for liquibase
+
+# Copyright (c) 2017 Alan Alberghini <414N@slacky.it>
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+#
+# Build history:
+#
+# 1 - Initial release.
+
+PRGNAM=liquibase
+VERSION=${VERSION:-3.5.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="README.txt LICENSE.txt"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+DESTDIR=$PKG/opt/$PRGNAM
+mkdir -p $DESTDIR
+cd $DESTDIR
+
+tar xvf $CWD/${PRGNAM}-${VERSION}-bin.tar.gz
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find . -type f -name \*.bat -delete
+
+mkdir -p $PKG/etc/profile.d
+install -m0755 $CWD/profile.d/* $PKG/etc/profile.d
+
+mkdir -p $PKG/usr/bin
+ln -sf /opt/$PRGNAM/$PRGNAM $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+ln -sf /opt/$PRGNAM/sdk $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/liquibase/liquibase.info b/development/liquibase/liquibase.info
new file mode 100644
index 0000000000..527b557e4b
--- /dev/null
+++ b/development/liquibase/liquibase.info
@@ -0,0 +1,10 @@
+PRGNAM="liquibase"
+VERSION="3.5.3"
+HOMEPAGE="http://www.liquibase.org/"
+DOWNLOAD="https://github.com/liquibase/liquibase/releases/download/liquibase-parent-3.5.3/liquibase-3.5.3-bin.tar.gz"
+MD5SUM="90a3a731e64f2174fcfd0f1e91132c24"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jdk"
+MAINTAINER="Alan Alberghini"
+EMAIL="414N@slacky.it"
diff --git a/development/liquibase/profile.d/liquibase.csh b/development/liquibase/profile.d/liquibase.csh
new file mode 100644
index 0000000000..55c0b61ee8
--- /dev/null
+++ b/development/liquibase/profile.d/liquibase.csh
@@ -0,0 +1,2 @@
+#!/bin/csh
+setenv LIQUIBASE_HOME /opt/liquibase
diff --git a/development/liquibase/profile.d/liquibase.sh b/development/liquibase/profile.d/liquibase.sh
new file mode 100644
index 0000000000..33dcbdde78
--- /dev/null
+++ b/development/liquibase/profile.d/liquibase.sh
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+export LIQUIBASE_HOME=/opt/liquibase
diff --git a/development/liquibase/slack-desc b/development/liquibase/slack-desc
new file mode 100644
index 0000000000..54ae3ba9b4
--- /dev/null
+++ b/development/liquibase/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+liquibase: liquibase (source control for your database)
+liquibase:
+liquibase: Liquibase is an open source database-independent library for tracking,
+liquibase: managing and applying database schema changes.
+liquibase:
+liquibase:
+liquibase:
+liquibase:
+liquibase: Homepage: http://www.liquibase.org
+liquibase:
+liquibase: